Odoo Help


This community is for beginners and experts willing to share their Odoo knowledge. It's not a forum to discuss ideas, but a knowledge base of questions and their answers.


I have this Error in Odoo9

on 1/26/16, 9:10 AM 617 views

                content: "NameError: .o-flex is undefined in - on line 271, column 5:\A 270 min-height: 0;\A 271 .o-flex(0, 1, 100%);\A 272 border: none;\A \A

This error occured while compiling the bundle 'web.assets_common' containing:
 - /web/static/src/less/mimetypes.less\A
 - /web/static/src/less/animation.less\A
 - /website_sign/static/src/less/website_sign_common.less\A
 - /web_planner/static/src/less/web_planner_common.less\A
 - /web_editor/static/src/less/web_editor.less";


This is my error , how can I fix this? it is only when I install web modules


Jignesh Mehta

--Jignesh Mehta--
| 6 4 8
Surat, India
--Jignesh Mehta--

Jignesh Mehta
On 1/27/16, 1:47 AM

Hello Wizardz,

For this error you should install some package. The follow step of installation is use for you.

1) sudo apt-get update

2) sudo apt-get install nodejs
3) sudo npm install -g less-plugin-clean-css
4) sudo npm install -g less

Hope this works for You.



Atul Arvind

--Atul Arvind--
| 3 3 5
--Atul Arvind--


I am odoo Enthusiast/Consultant from Baroda, Gujarat, India. Working with odoo from v5 to v9 and other opensource technology since 4+ years. Having Strong Expertise in

Requirement gathering & Gap Analysis

Odoo Development

Odoo Customization

Odoo Training

Odoo Integration

Server Administration

Odoo Migration


I am also active on StackOverflow.


Atul Arvind
On 1/27/16, 3:31 AM

Hello Wizardz, 

Please install node-less using below command

sudo apt-get update && apt-get install node-less

Hope it will helps.

same error, every time I want to install website_sign

on 1/27/16, 5:13 AM

which linux distro. are you using?

Atul Arvind
on 1/29/16, 3:14 AM
M Grmn
On 2/6/16, 8:10 PM

For you less try;

sudo apt-get install nodejs

sudo apt-get install npm

sudo npm install -g less

sudo npm install -g less-plugin-clean-css

sudo ln -s /usr/local/bin/lessc /usr/bin/lessc

sudo ln -s /usr/bin/nodejs /usr/bin/node

However it might be a good idea to follow this example to the letter and you should be fine. I recommend a complete remove of what you have installed then reinstall. Link for instructions see bottom

Remove all

sudo apt-get --purge remove odoo

#not ideal but.. works.

sudo find / -iname 'odoo' -print -exec rm -r {} \;

# removal of PostgreSQL

sudo apt-get --purge remove postgresql\*

sudo rm -r /etc/postgresql

sudo rm -r /etc/postgresql-common*

sudo rm -r /var/lib/postgresql

sudo rm -rf /etc/apt/sources.list.d/postgresql.list

sudo userdel -r postgres

sudo groupdel postgres

sudo find / -iname 'postgresql' -print -exec rm -r {} \;

# if you see dependency problem it is most likely you have a problem that while install PostgreSQL you did this multiple times

# and therefor left some of those packages, you will need to remove them 1 by 1 before installing again!

# I  suggest the following for installing PostgreSQL

sudo apt-get install python-software-properties -y

wget --quiet -O - https://www.postgresql.org/media/keys/ACCC4CF8.asc | sudo apt-key add - 

sudo sh -c 'echo "deb http://apt.postgresql.org/pub/repos/apt/ trusty-pgdg main" >> /etc/apt/sources.list.d/postgresql.list'

sudo apt-get update && sudo apt-get install postgresql-9.3 pgadmin3 -y

Link for instructions installing v9 on trusty:


I know that on ubuntu wily 15.10 ( you can use the deb file, and it will install without a problem) but some features might not work in version Odoo v9. For me I made a small bash shell script to install Odoo v8 on 15.10, do not think it will work for you on 14.x


Ermin Trevisan

--Ermin Trevisan--
| 6 3 7
Walchwil, Switzerland
--Ermin Trevisan--

Ermin Trevisan
On 1/28/16, 6:56 AM

1. Check the official documentation about installing dependencies of Odoo 9.0 and don't forget the symlink (Ubuntu 14.04 only)


2. If it does not help, check this:https://www.odoo.com/forum/help-1/question/ubuntu-server-14-04-howto-install-nodejs-npm-and-less-82575        

3. website_sign is an enterprise module. If you are an enterprise customer, you should get help from Odoo.

On 1/27/16, 2:46 AM

Hello Jignesh Mehta, 

I tested it with this:

1) sudo apt-get update

2) sudo apt-get install nodejs

3) sudo npm install -g less-plugin-clean-css

4) sudo npm install -g less

But the same error is showing up. I have created a new database to test this all the web_ modules . But in Odoo9 nightly build the web modules show me every time the "LESS" errors.

Your Answer

Please try to give a substantial answer. If you wanted to comment on the question or answer, just use the commenting tool. Please remember that you can always revise your answers - no need to answer the same question twice. Also, please don't forget to vote - it really helps to select the best questions and answers!

About This Community

This community is for professionals and enthusiasts of our products and services. Read Guidelines

Question tools

1 follower(s)


Asked: 1/26/16, 9:10 AM
Seen: 617 times
Last updated: 2/6/16, 8:10 PM